Subject: Re: bug#56896: 29.0.50; [PATCH] Make the bookmark fringe icon look like a bookmark

From: Eli Zaretskii <[email-masked]>
Date: Thu, 04 Aug 2022 09:53:32 +0300

> Cc: [email-masked]
> From: Jim Porter <[email-masked]>
> Date: Wed, 3 Aug 2022 20:24:24 -0700
> 
> > Not sure if we need a general capability as in 3), but if it can be
> > implemented cleanly and will be convenient for user options, I don't
> > see why not.
> 
> How does this look? I added a new built-in fringe bitmap 
> ('large-circle'), since it should be generally-useful. There are a 
> couple different fringe bitmaps for breakpoints that could use this, but 
> I didn't do anything about that in this patch.
> 
> I also added a Customize widget to let users pick a fringe bitmap. I'm 
> not super-familiar with Customize, so I just guessed on how this is 
> supposed to be defined (I based it on the 'font' widget).

Reading the code, it LGTM.  But I'm not familiar enough with the
Customize parts of the patch, so let's wait a bit for others to chime
in.  Lars, WDYT?

> Finally, I adjusted the names of a couple bookmark variables and let 
> users specify a bitmap (or nil) for 'bookmark-fringe-mark'. Note that 
> changing this (via Customize or not) doesn't force an update of 
> already-set bookmark fringe marks. That would be nice to have, but I'd 
> need to study the code quite a bit more to figure out how to do this.

I think we should fix this aspect, yes.  So please do try to find the
way of doing it with some kind of :set function.

> If this seems about right, I'll add a NEWS entry describing the change 
> (though I welcome any feedback about how much should go in NEWS; I'm not 
> 100% sure).

If there's a detailed enough description in the manual(s), the NEWS
entry can be quite short, just mentioning the new capabilities and
variables.  If you don't think this is manual-worthy, the NEWS entry
should be a bit more detailed.  But don't worry about that, we will
get to it when you submit the actual text for NEWS.

Thanks.